Lingara Lingara Documentation Guides API Bibliothèques Applications Créer Application web
Langue: Français

world.context_changed

Version de l'API 2026-10-affable-towhee

Vous → Lingara world.context_changed

Votre jeu indique à Lingara que le monde de l'apprenant a changé.

Portées events:write

POST /v1/events

Charge utile

typestringobligatoire
dataWorldContextChangedobligatoire
scenestringobligatoire
npcNpc | nullfacultatif
namestringobligatoire
personastring | nullfacultatif
source_langstringobligatoire
target_langstringobligatoire
levelintegerobligatoire
tagsarray of stringfacultatif
generateboolean | nullfacultatif

Exemple

{
  "type": "world.context_changed",
  "data": {
    "scene": "A night market in Taipei, just after rain",
    "npc": {
      "name": "Auntie Lin",
      "persona": "a street-food vendor who likes to haggle"
    },
    "source_lang": "en",
    "target_lang": "zh",
    "level": 3,
    "tags": [
      "market",
      "food",
      "chapter-2"
    ],
    "generate": true
  }
}

En cas de divergence entre une traduction et la référence en anglais, la référence en anglais fait foi.